\version "2.18.2"

\header {
  title = "Wie schön leuchtet der Morgenstern"
  composer = "Johann Kuhnau (1660-1722)"
  tagline = #'false
}

#(set-global-staff-size 14)


\include "settings.ly"


%%% Part A

\include "partA.ly"

scoreAChoirPart = \new ChoirStaff <<
  \new Staff \settingsSoprano { \clefS \scoreASoprano }
  \addlyrics { \scoreAVerse }
  \new Staff \settingsAlto { \clefA \scoreAAlto }
  \addlyrics { \scoreAVerse }
  \new Staff \settingsTenor { \clefT \scoreATenor }
  \addlyrics { \scoreAVerse }
  \new Staff \settingsBass { \clefB \scoreABass }
  \addlyrics { \scoreAVerse }
>>

scorePartA = \score {
  <<
    \new Staff \settingsHornFI \scoreAHornFI
    \new Staff \settingsHornFII \scoreAHornFII
    \new Staff \settingsViolinI \scoreAViolinI
    \new Staff \settingsViolinII \scoreAViolinII
    \new Staff \settingsViolaI { \clef alto \scoreAViolaI }
    \new Staff \settingsViolaII { \clefVaII \scoreAViolaII }
    \scoreAChoirPart
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreABcMusic \scoreABcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #1
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 4=80
  }
}


%%%% part B

\include "partB.ly"

scorePartB = \score {
  <<
    \new Staff \settingsTenor { \clefT \scoreBTenor }
    \addlyrics \scoreBVerse
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreBBcMusic \scoreBBcFigures >>
    }
  >>
  \layout { }
  \header {
    piece= \markup \formatPH #2
  }
  \midi {
    \tempo 4=80
  }
}

%%% Part C

\include "partC.ly"

scoreCChoirPart = \new ChoirStaff <<
  \new Staff \settingsSopranoI { \clefS \scoreCSopranoI }
  \addlyrics { \scoreCSopranoIVerse }
  \new Staff \settingsSopranoII { \clefS \scoreCSopranoII }
  \addlyrics { \scoreCSopranoIIVerse }
  \new Staff \settingsAlto { \clefA \scoreCAlto }
  \addlyrics { \scoreCAltoVerse }
  \new Staff \settingsTenor { \clefT \scoreCTenor }
  \addlyrics { \scoreCTenorVerse }
  \new Staff \settingsBass { \clefB \scoreCBass }
  \addlyrics { \scoreCBassVerse }
>>

scorePartC = \score {
  <<
    \new Staff \settingsHornFI \scoreCHornFI
    \new Staff \settingsHornFII \scoreCHornFII
    \new Staff \settingsViolinI \scoreCViolinI
    \new Staff \settingsViolinII \scoreCViolinII
    \new Staff \settingsViolaI { \clef alto \scoreCViolaI }
    \new Staff \settingsViolaII { \clefVaII \scoreCViolaII }
    \scoreCChoirPart
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreCBcMusic \scoreCBcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #3
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 4=80
  }
}


%%% Part D

\include "partD.ly"

scorePartD = \score {
  <<
    \new Staff \settingsViolinI \scoreDViolinI
    \new Staff \settingsViolinII \scoreDViolinII
    \new Staff \settingsTenor { \clefT \scoreDTenor }
    \addlyrics \scoreDVerse
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreDBcMusic \scoreDBcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #4
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 2=80
  }
}

%%% Part E

\include "partE.ly"

scorePartE = \score {
  <<
    \new Staff \settingsTenor { \clefT \scoreETenor }
    \addlyrics \scoreEVerse
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreEBcMusic \scoreEBcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #5
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 4=80
  }
}



%%% Part F

\include "partF.ly"

scorePartF = \score {
  <<
    \new Staff \settingsViolinI \scoreFViolinI
    \new Staff \settingsViolinII \scoreFViolinII
    \new Staff \settingsViolaI { \clef alto \scoreFViolaI }
    \new Staff \settingsViolaII { \clefVaII \scoreFViolaII }
    \new Staff \settingsTenor { \clefT \scoreFTenor }
    \addlyrics \scoreFVerse
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreFBcMusic \scoreFBcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #6
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 4=80
  }
}


%%% Part G

\include "partG.ly"

scorePartG = \score {
  <<
    \new Staff \settingsViolinI \scoreGViolinI
    \new Staff \settingsViolinII \scoreGViolinII
    \new Staff \settingsViolaI { \clef alto \scoreGViolaI }
    \new Staff \settingsViolaII { \clefVaII \scoreGViolaII }
    \new Staff \settingsTenor { \clefT \scoreGTenor }
    \addlyrics \scoreGVerse
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreGBcMusic \scoreGBcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #7
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 4=80
  }
}


%%% Part H

\include "partH.ly"

scorePartH = \score {
  <<
    \new Staff \settingsViolinI \scoreHViolinI
    \new Staff \settingsViolinII \scoreHViolinII
    \new Staff \settingsViolaI { \clef alto \scoreHViolaI }
    \new Staff \settingsViolaII { \clefVaII \scoreHViolaII }
    \new ChoirStaff <<
      \new Staff \settingsSopranoI { \clefS \scoreHSopranoI }
      \addlyrics \scoreHVerse
      \new Staff \settingsSopranoII { \clefS \scoreHSopranoII }
     \addlyrics \scoreHVerse
    >>
    \new Staff \settingsBassoContinuo {
      \clef bass << \scoreHBcMusic \scoreHBcFigures >>
    }
  >>
  \header {
    piece= \markup \formatPH #8
  }
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 2=40
  }
}

\include "partH2.ly"

scorePartHb = \score {
  <<
    \new Staff \settingsHornFI \set Score.currentBarNumber=#14 \scoreHiiHornFI
    \new Staff \settingsHornFII \scoreHiiHornFII
    \new Staff \settingsViolinI \scoreHiiViolinI
    \new Staff \settingsViolinII \scoreHiiViolinII
    \new Staff \settingsViolaI { \clef alto \scoreHiiViolaI }
    \new Staff \settingsViolaII { \clefVaII \scoreHiiViolaII }
    \new ChoirStaff <<
      \new Staff \settingsSoprano { \clefS \scoreHiiSoprano }
      \addlyrics \scoreHiiVerse
      \addlyrics \scoreHiiVerseII
      \new Staff \settingsAlto { \clefA \scoreHiiAlto }
      \addlyrics \scoreHiiVerse
      \addlyrics \scoreHiiVerseII
     \new Staff \settingsTenor { \clefT \scoreHiiTenor }
     \addlyrics \scoreHiiVerse
      \addlyrics \scoreHiiVerseII
     \new Staff \settingsBass { \clefB \scoreHiiBass }
     \addlyrics \scoreHiiVerse
      \addlyrics \scoreHiiVerseII
    >>
  \new Staff \settingsBassoContinuo {
      \clef bass << \scoreHiiBcMusic \scoreHiiBcFigures >>
    } 
  >>
  \layout {
    \context {
      \Staff \RemoveEmptyStaves
    }
  }
  \midi {
    \tempo 2=40
  }
}


\book {
  \scorePartA
  \scorePartB
  \scorePartC
  \scorePartD
  \scorePartE
  \scorePartF
  \scorePartG
  \scorePartH
  \scorePartHb
}